Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 951 - Configuration files aren't always included in the RPMs
Summary: Configuration files aren't always included in the RPMs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-release
Version: 5.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-24 21:48 UTC by Ziv, Alon
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-11 19:03:34 UTC


Attachments (Terms of Use)

Description Ziv, Alon 1999-01-24 21:48:08 UTC
In most cases, if a package is shipped without a default
configuration file, this file isn't listed at all in the RPM
(not even as a %ghost).

Fix:
Include optional configuration files in the RPMS as %config
%ghost.  For example, /etc/ld.so.conf should be included in
glibc; /etc/modules.conf should be listed in modutils;
/etc/rpmrc should be listed in rpm.

Comment 1 David Lawrence 1999-03-11 19:03:59 UTC
Change you for your suggestion. It has been noted and will be
considered for future releases of RPM.


Note You need to log in before you can comment on or make changes to this bug.